Page MenuHomePhabricator

Spanish track: Introducción a las tecnologías del movimiento Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies
Closed, ResolvedPublic

Description

Un paseo por las tecnologías que emplea y desarrolla el movimiento Wikimedia: áreas informáticas, software, infraestructura ¡y más! (Presentación y sesión de preguntas y respuestas en español.)

An overview of the technology that the Wikimedia movement uses and develops: areas, software, infrastructure and more! (Presentation and question-and-answer session in Spanish.)

(...shamelessly copying elements of @Aklapper's presentation, T102238.)

Etherpad para la sesión: http://etherpad.wikimedia.org/p/Intro_a_las_tec_del_movimiento_Wikimedia

Mediawiki Core
El núcleo de la aplicación Web de Wikimedia. Consta de casi 500 000 renglones de código en PHP, Javascript, CSS, Less y otros lenguajes.

Mediawiki Extensiones
Proporcionan funciones adicionales de manera modular. Hay 150 extensiones instaladas en producción, con casi 1 800 000 renglones de código.
https://www.mediawiki.org/wiki/Manual:Extensions

Mediawiki Skins
Permiten personalizar la apariencia de los wiki. El sitio para dispositivos móviles está implementado como skin.
https://www.mediawiki.org/wiki/Manual:Skins

Templates
Lógica de procesamiento de contenido, controlada desde los wiki mismo.
https://www.mediawiki.org/wiki/Help:Templates

Gadgets and User Scripts
Pequeños programas en Javascript que se comparten y permiten personalizar la experiencia de cada usuario.
https://www.mediawiki.org/wiki/Gadget_kitchen

Mobile Apps
Aplicaciones nativas para dispositivos móviles.
https://www.mediawiki.org/wiki/Wikimedia_Apps

Desktop Apps
Aplicaciones nativas para computadoras de escritorio.
https://meta.wikimedia.org/wiki/Huggle
https://en.wikipedia.org/wiki/Wikipedia:AutoWikiBrowser

Bots
Programas externos que manipulan los wiki a través de su API para automatizar procesos y analizar los contenidos.
https://www.mediawiki.org/wiki/Manual:Bots

Site Operations
Diseño, configuración y mantenimiento del cluster de servidores.
https://wikitech.wikimedia.org/wiki/Puppet_coding

Tools and Tool Labs
Ambiente de máquinas virtuales en la nube para pruebas y desarrollo, así como la ejecución de bots.
https://wikitech.wikimedia.org/wiki/Help:Tool_Labs

Analytics
Sistemas para cuantificar y estudiar el sitio y los procesos de mejoramiento de los contenidos.
https://www.mediawiki.org/wiki/Analytics

Quality Assurance / Continuous Integration
Pruebas de unidad y de integración que se llevan a cabo de manera automática.
https://www.mediawiki.org/wiki/Quality_Assurance

Collaboration Tools
Herramientas que apoyan la colaboración entre quienes contribuyen a la tecnología del movimiento.

Documentation
Documentos escritos que explican el funcionamiento de esta tecnología y que resultan imprescindibles para el mantenimiento de ésta.
https://www.mediawiki.org/wiki/Developer_hub

Herramientas de colaboración

Phabricator
Rastrear errores y organizar tareas, proyectos y equipos
http://phabricator.wikimedia.org/

Git
Gestión de código fuente

Gerrit
Revisión de código
http://gerrit.wikimedia.org/

IRC
Comunicación en tiempo real
https://meta.wikimedia.org/wiki/IRC/Channels

Listas de correo

https://meta.wikimedia.org/wiki/Mailing_lists/Overview

Event Timeline

AndyRussG claimed this task.
AndyRussG raised the priority of this task from to Needs Triage.
AndyRussG updated the task description. (Show Details)
AndyRussG added subscribers: AndyRussG, Qgil, Aklapper, Rfarrand.
AndyRussG triaged this task as Normal priority.Jul 11 2015, 6:47 PM
AndyRussG updated the task description. (Show Details)
AndyRussG set Security to None.
AndyRussG added a subscriber: Pginer-WMF.
AndyRussG renamed this task from Spanish track: Introducción a la tecnología de la Fundación Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies to Spanish track: Introducción a las tecnologías de la Fundación Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies.Jul 11 2015, 6:49 PM
AndyRussG updated the task description. (Show Details)
AndyRussG updated the task description. (Show Details)
AndyRussG renamed this task from Spanish track: Introducción a las tecnologías de la Fundación Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies to Spanish track: Introducción a las tecnologías del movimiento Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies.Jul 11 2015, 8:23 PM
AndyRussG updated the task description. (Show Details)
cscott added a subscriber: cscott.Jul 15 2015, 2:43 PM

I speak Spanish, although my technical vocabulary is rusty. I can probably stumble through a version of T105175 (Introducing Parsoid) in Spanish if there is interest.

Hablo español, aunque mi vocabulario técnico no es la mejor. Podría dar una versión de mi presentación sobre Parsoid (T105175) en español si hay interés.

@cscott, looking forward to seeing you there. ¡¡Thanks!!

AndyRussG updated the task description. (Show Details)Jul 16 2015, 1:43 AM
AndyRussG updated the task description. (Show Details)Jul 16 2015, 1:41 PM

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

@AndyRussG can you estimate how many people attended this session and comment on it's usefulness? Did you observe anyone getting directly involved with a project or area of interest after this session? Any info you can provide to measure the success (or failure) or this session would be helpful!

Here are the slides and the graphic.

The session took place! About 12 people attended, including maybe 5 or 6 local developers. Thanks so much to @Pginer-WMF for presenting his work on a content translation tool, and to @cscott, @Aklapper and @Rfarrand for all their help!!

AndyRussG closed this task as Resolved.Jul 26 2015, 5:25 AM